/* ==========================================================================*/
/* - - - - - - - - - - - - - -  I r q . h  - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Irq.c module                                   */
/*	Created   2010-05-29   M. Wheatley                                       */
/*	Modified  2010-05-29   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////

#ifndef IRQ_H_
#define IRQ_H_

#include "common.h"

/*---------------------------------------------------------------------------*/
/* /////////////////// Interrupt Levels  /////////////////////////////////// */
/*---------------------------------------------------------------------------*/
#define USART_INTERRUPT_LEVEL 0
#define TIMER1_INTERRUPT_LEVEL 2
#define TIMER2_INTERRUPT_LEVEL 1
#define USART1_INTERRUPT_LEVEL 3
#define USART0_INTERRUPT_LEVEL 4
#define SPI_INTERRUPT_LEVEL 5
#define TIMER0_INTERRUPT_LEVEL 6

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void Timer0IrqService(void) __attribute__ ((naked));
void Timer1IrqService(void) __attribute__ ((naked));
void Timer2IrqService(void) __attribute__ ((naked));
void SSCIrqService(void) __attribute__ ((naked));
void Usart0IrqService(void)__attribute__ ((naked));
void GpsIrqService(void)__attribute__ ((naked));
void DBGUIrqService(void);

void SpuriousIrqService(void)__attribute__ ((naked));

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern volatile int32_t RxMsgLength;
extern volatile BOOL MsgAbort;
extern volatile uint32_t MsgTimer;

#endif /*IRQ_H_*/


