/* ==========================================================================*/
/* - - - - - - - - - - - - -   U s a r t . h   - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the usart.c module                                 */
/*	Created   2011-11-01   M. Wheatley                                       */
/*	Modified  2011-11-20   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef TIMER_H_
#define TIMER_H_

/*---------------------------------------------------------------------------*/
/*------------------> G l o b a l   D e f i n e s <--------------------------*/
/*---------------------------------------------------------------------------*/
#define LED_OFF 0
#define LED_ON 400
#define LED_MIN 1
#define LED_MAX 386


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void TimerInit ( void );
void Delayus(uint32_t Delay );
void SetGLedPWM( uint32_t pwm);
void SetYLedPWM( uint32_t pwm);
void SetRLedPWM( uint32_t pwm);

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern volatile int32_t CaptureTime;
extern volatile int32_t LastCaptureTime;
extern volatile int32_t PpsPeriod;
extern volatile int32_t PpsTimeout;

extern volatile uint8_t SecondTimer;
extern volatile uint8_t MinuteTimer;
extern volatile uint8_t HourTimer;
extern volatile uint8_t Timer100Hz;


#endif /*TIMER_H_*/
