/* ==========================================================================*/
/* - - - - - - - - - - - - -   U s a r t . h   - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Usart.c module                                 */
/*	Created   2008-04-10   M. Wheatley                                       */
/*	Modified  2008-04-10   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
#ifndef USART_H_
#define USART_H_
#include "common.h"
#include "protocoldefs.h"

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

/*---------------------------------------------------------------------------*/
/*------------------> G L O B A L   D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/
#define MAXMSG_SIZE (160*2 + 2)

#define USARTQSIZE 512


/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void UsartInit( uint32_t Rate);
void SetOpMode(uint8_t Mode);

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern xSemaphoreHandle xUsartRxSemaphore;
extern uint8_t UsartRxQueue[];
extern uint8_t UsartTxQueue[];
extern volatile uint32_t UsartRxHead;
extern volatile uint32_t UsartTxTail;
extern uint32_t UsartTxHead;
extern uint32_t UsartRxTail;


#endif /*USART_H_*/
